Post
List posts
Returns paginated posts for the space. Filterable by status, account, and date range via query parameters.
Base URL
https://app.usesaki.com/apiget
/spaces/{space}/postsList posts
Returns paginated posts for the space. Filterable by status, account, and date range via query parameters.
Authorization
Bearer <token>Path Parameters
spacerequiredintegerThe space ID
Query Parameters
statusstringaccount_idstringfromstringtostringResponse
curl -X GET "https://app.usesaki.com/api/spaces/{space}/posts" \
-H "Authorization: Bearer YOUR_TOKEN"Response
{
"data": [
{
"id": 0,
"content": "string",
"status": 0,
"order": 0,
"scheduled_at": "2024-01-01T00:00:00Z",
"published_at": "2024-01-01T00:00:00Z",
"metadata": [
{}
],
"imported": true,
"cluster_id": "string",
"parent_id": 0,
"user_id": 0,
"account_id": 0,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"analytics": [
{}
],
"account": {
"id": 0,
"social": "string",
"display_name": "string",
"handler": "string",
"avatar": "string",
"is_active": true
},
"children": [
{}
],
"media": [
{
"id": "string",
"type": "string",
"url": "string",
"mime": "string",
"width": "string",
"height": "string",
"size": "string",
"alt": "string",
"order": "string"
}
]
}
],
"links": {
"first": "string",
"last": "string",
"prev": "string",
"next": "string"
},
"meta": {
"current_page": 0,
"from": 0,
"last_page": 0,
"links": [
{
"url": "string",
"label": "string",
"active": true
}
],
"path": "string",
"per_page": 0,
"to": 0,
"total": 0
}
}